Upload a document

Requires the DOCUMENT.CREATE permission.

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Request

This endpoint expects an object.
namestringRequiredformat: "^.*$"0-256 characters
The name of the document.
content_typestringRequired

Content type of the file (e.g. application/pdf).

contentstringRequired
The file content, BASE64 encoded. Max 10MB.
descriptionstring or nullOptional
An optional description of the document.

Response

Created
namestringformat: "^.*$"0-256 characters
The name of the document.
content_typestring

Content type of the file (e.g. application/pdf).

object_typestring or nullRead-only
idstring or nullRead-only
created_atstring or nullRead-only
descriptionstring or null
An optional description of the document.
file_sizelong or nullRead-only
The file size in bytes.
downloaded_atstring or nullRead-only
Timestamp of the most recent download.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error